Subject: Re: [PATCH 17/19] environment: move compression level into repo settings

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 15 Jul 2025 12:50:34 +0200

On Fri, Jul 11, 2025 at 11:55:27AM -0700, Junio C Hamano wrote:
> Phillip Wood <[email-masked]> writes:
> 
> > I do not think adding prepare_repo_settings() calls all over the place
> > is a good way forward as it makes it very easy to introduce
> > regressions like this. Our builtin commands parse the config at
> > startup for good reasons if we're going to move settings out of
> > git_default_core_config() we should ensure that they are still parsed
> > at startup.
> 
> I think that is a good guideline that applies not just to this
> series but to other topics that attempt to move globals to a member
> in struct repository (or repository_settings)

Fair enough. One thing we could do is to call `prepare_repo_settings()`
at the point in time where any repository is opened. I'll have to think
about it and will try to come up with a solution.

Patrick